# Exhibitor Booths Exhibitor Booths ## Creates a new exhibitor booth record that does not already exist. - [POST /exhibitorBooths/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/createexhibitorbooth.md): This method will auto-generate an ID and create a new exhibitor booth. If an ID is specified for the exhibitor booth, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorBooths/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /exhibitorBooths/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified exhibitor_id - [GET /exhibitorBooths/{tenantId}/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ## Returns a list of records with the specified holding_organization_id - [GET /exhibitorBooths/{tenantId}/holdingOrganization/{event_id}/{holding_organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyholdingorganizationid.md): Returns a list of records with the specified holding_organization_id ## Generate multiple booths - [POST /exhibitorBooths/{tenantId}/multiple/{numberToGenerate}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/generatemultiplebooths.md): Generates up to 250 booths ## Returns a list of records with the specified organization_id - [GET /exhibitorBooths/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified event_id - [GET /exhibitorBooths/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listpublicboothsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified exhibitor_id - [GET /exhibitorBooths/{tenantId}/public/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listpublicboothsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ## Returns a exhibitor booth from the system by its ID. - [DELETE /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/deleteexhibitorbooth.md): This method will delete a exhibitor booth with the specified ID. ## Returns a exhibitor booth from the system by its ID. - [GET /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/getexhibitorbooth.md): This method will look up a exhibitor booth by the specified ID and return it back. ## Partially updates a exhibitor booth with the specified ID. - [PATCH /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/patchexhibitorbooth.md): This method will patch an existing exhibitor booth with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor booth with the specified ID. - [PUT /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/updateexhibitorbooth.md): This method will update an existing exhibitor booth with the specified ID.